/*
 * debug.c
 *
 *  Created on: Nov 26, 2012
 *      Author: Alexey Berezhok
 *		E-mail: alexey_com@ukr.net
 */

//THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS
//MAKE NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT
//LIMITED TO, WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE
//OR THAT THE USE OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD
//PARTY PATENTS, COPYRIGHTS, TRADEMARKS OR OTHER RIGHTS.
//COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL OR
//CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE OR DOCUMENTATION.
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <sys/types.h>
#include <unistd.h>
#include <sys/stat.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <sys/time.h>
#include <pthread.h>
#if defined(linux)
#include <linux/unistd.h>
#endif
#if defined(__FreeBSD__)
#include <unistd.h>
#endif
#include <errno.h>
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <stdarg.h>

#include "debug.h"
#define MAX_BUF_LEN 4096

void write_debug_info(const char * format, ...) {
#ifdef DEBUG_MODULE_H
	char buffer[MAX_BUF_LEN];
	va_list args;
	va_start(args, format);
	vsnprintf(buffer, MAX_BUF_LEN, format, args);
	perror(buffer);
	va_end(args);
	FILE * pFile;
	char szFileName[] = "/tmp/mod_performance_debug.txt";

	pFile = fopen(szFileName, "a");
	if (pFile != NULL) {
		fprintf(pFile, "%s\n", buffer);
		fclose(pFile);
	}
#endif
	return;
}
