/*
 * timers.h
 *
 *  Created on: Jul 7, 2011
 *  Author: SKOREE
 *  E-mail: alexey_com@ukr.net
 *  Site: lexvit.dn.ua
 */

#ifndef TIMERS_H_
#define TIMERS_H_

typedef void (*handler) (int sig, siginfo_t * si, void *uc);

long gettimeinterval (char *timestring);
void reset_timer (int sig, char *new_time);
int inittimer ();
int addtimer (apr_pool_t * p, int sec, int repeat,
	      void (*handler) (int, siginfo_t *, void *));


#endif /* TIMERS_H_ */
